Packages - Bug #810

[perl-autovivification]: needs be rebuilt against perl to fix biblatex-biber symbol lookup error
2015-09-24 04:20 PM - korobkov

Status: fixed % Done: 100%
Priority: bug
Assignee:

Category:

Description

Hello,
Thank you for adding biber - this should allow me to switch to fully free libre/texlive-bin package.
The only issue for now is some strange error | get when try to use it:

/usr/bin/perl: symbol lookup error: /usr/lib/perl5/vendor_perl/auto/autovivification/autovivificat
ion.so: undefined symbol: Perl_xs_apiversion_bootcheck

How could this be solved?

History

#1 - 2015-09-25 12:21 PM - Anonymous

- Assignee set to Anonymous

#2 - 2015-09-26 12:23 AM - Anonymous
- % Done changed from 0 to 10

- Status changed from open to in progress

#3 - 2015-09-26 06:02 AM - Anonymous

I've pushed a new version of perl-autovivification [0], please check if now it works
[0]:https://projects.parabola.nu/abslibre.git/’commit/pcr/perl-autovivification ?id=a357535b64d2b146aeb708f8ef593c1ec8eb3087

#4 - 2015-09-28 04:15 PM - korobkov
- % Done changed from 10 to 100

Thank you, that helped!

#5 - 2015-09-29 05:59 AM - Anonymous

- Status changed from in progress to fixed

#6 - 2016-01-03 01:00 PM - korobkov
- % Done changed from 100 to 0
Seems like Perl was changed again. Please, rebuild the biber again.

/usr/bin/perl: symbol lookup error: /usr/lib/perl5/vendor_perl/auto/Date/Simple/Simple.so: undefined symbol: P
erl_xs_apiversion_bootcheck

P.S. As I'm not allowed to reopen bugs, should | create a new ones every time Perl would change again?
#7 - 2016-01-03 03:05 PM - Anonymous

- Status changed from fixed to in progress

- Subject changed from [biblatex-biber]: symbol lookup error to [perl-autovivification]: needs be rebuilt against perl to fix biblatex-biber symbol lookup
error

#8 - 2016-01-03 03:21 PM - Anonymous
- % Done changed from 0 to 100
- Status changed from in progress to fixed

#9 - 2016-01-03 05:51 PM - korobkov
- % Done changed from 100 to 0

Thanks and sorry for bothering you again: this time with biblatex-biber-2.3-1-any

/usr/bin/perl: symbol lookup error: /usr/lib/perl5/site_perl/auto/Unicode/LineBreak/LineBreak.so: undefined sy
mbol: Perl_xs_apiversion_bootcheck

#10 - 2016-01-03 08:19 PM - Anonymous
korobkov wrote:
Thanks and sorry for bothering you again: this time with biblatex-biber-2.3-1-any

(-]

maybe there are another perl packages that needs be rebuilt against latest perl.
#11 - 2016-01-03 08:30 PM - Anonymous
Emulatorman wrote:
korobkov wrote:
Thanks and sorry for bothering you again: this time with biblatex-biber-2.3-1-any
(-]

maybe there are another perl packages that needs be rebuilt against latest perl.

| think perl-unicode-gcstring package should be rebuilt to fix that issue
#12 - 2016-01-03 10:38 PM - Anonymous
Emulatorman wrote:
Emulatorman wrote:
korobkov wrote:
Thanks and sorry for bothering you again: this time with biblatex-biber-2.3-1-any
[--]
maybe there are another perl packages that needs be rebuilt against latest perl.

| think perl-unicode-gcstring package should be rebuilt to fix that issue

i upgraded some perl packages, check now if it works well

#13 - 2016-01-03 10:38 PM - Anonymous
- % Done changed from 0 to 50

- Status changed from fixed to in progress

#14 - 2016-01-04 10:48 AM - korobkov

I've picked every possible update:

pcr/perl-business-isbn 2.09-1 -> 2.010-1
pcr/perl-business-isbn-data 20140910.002-1 -> 20140910.003-1
pcr/perl-encode-Jjis2k 0.02-1 -> 0.03-1
pcr/perl-regexp—common 2013031301-4 -> 2015121601-1
pcr/perl-text-bibtex 0.70-2 -> 0.71-1
pcr/perl-unicode-gcstring 2014.06-1 -> 2015.12-2
the bug became this:

/usr/bin/perl: symbol lookup error: /usr/lib/perl5/vendor_perl/auto/Date/Simple/Simple.so: undefined symbol: P
erl_xs_apiversion_bootcheck

#15 - 2016-01-04 04:13 PM - Anonymous
korobkov wrote:
I've picked every possible update:

(-]

the bug became this:

(-]

that issue comes from perl-date-simple package, maybe we should rebuild all perl packages, however i would rebuilt just perl-date-simple for now and
see if could appears another issue from any perl package to avoid rebuild unneeded stuff.

#16 - 2016-01-04 04:15 PM - Anonymous

perl-date-simple pushed!

#17 - 2016-01-04 06:47 PM - korobkov
- % Done changed from 50 to 100

Thank you! :) All is OK now.

#18 - 2016-01-18 04:05 PM - Anonymous

- Status changed from in progress to fixed
